<template>
  <GmapMap
    :center="{lat:lat, lng:lng}"
    :zoom="15"
    map-type-id="roadmap"
    style="width: 100%;height: 300px;margin-bottom: 20px;"
  >
    <GmapPolygon
      :paths="paths"
      :options="{strokeColor:'#086939', fillColor: '#76be40'}"
    >
    </GmapPolygon>
  </GmapMap>
</template>

<script>
export default {
  name: 'FieldMaps',
  props: ['latlong_fields'],
  data() {
    return {
      lat: parseFloat(this.latlong_fields[0].latitude),
      lng: parseFloat(this.latlong_fields[0].longitude)
    }
  },
  computed: {
    paths: {
      get: function() {
        var data_paths = [];
        this.latlong_fields.map(function(point, key) {
          data_paths.push({lat: parseFloat(point.latitude), lng: parseFloat(point.longitude)});
        });
        return data_paths;
      }
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  @import '@/styles/variables.scss';
  @import '@/styles/mixin.scss';
  </style>
